/*
 * Documentation Content
 * Copyright (c) 2009 Packt Publishing, http://packtpub.com/
 * Copyright (c) 2012 jQuery Foundation, http://jquery.org/
 * 
 * This software consists of voluntary contributions made by many
 * individuals. For exact contribution history, see the revision history
 * and logs, available at http://github.com/jquery/api.jquery.com
 * 
 * Permission is hereby granted, free of charge, to any person obtaining
 * a copy of this software and associated documentation files (the
 * "Software"), to deal in the Software without restriction, including
 * without limitation the rights to use, copy, modify, merge, publish,
 * distribute, sublicense, and/or sell copies of the Software, and to
 * permit persons to whom the Software is furnished to do so, subject to
 * the following conditions:
 * 
 * The above copyright notice and this permission notice shall be
 * included in all copies or substantial portions of the Software.
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
 * EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
 * MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
 * NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE
 * LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION
 * OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION
 * WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
*/
intellisense.annotate(jQuery,{"ajax":function(){},"ajaxPrefilter":function(){},"ajaxSetup":function(){},"boxModel":function(){},"browser":function(){},"browser.version":function(){},"Callbacks":function(){},"contains":function(){},"cssHooks":function(){},"data":function(){},"dequeue":function(){},"each":function(){},"error":function(){},"extend":function(){},"get":function(){},"getJSON":function(){},"getScript":function(){},"globalEval":function(){},"grep":function(){},"hasData":function(){},"holdReady":function(){},"inArray":function(){},"isArray":function(){},"isEmptyObject":function(){},"isFunction":function(){},"isNumeric":function(){},"isPlainObject":function(){},"isWindow":function(){},"isXMLDoc":function(){},"makeArray":function(){},"map":function(){},"merge":function(){},"noConflict":function(){},"noop":function(){},"now":function(){},"param":function(){},"parseJSON":function(){},"parseXML":function(){},"post":function(){},"proxy":function(){},"queue":function(){},"removeData":function(){},"sub":function(){},"support":function(){},"trim":function(){},"type":function(){},"unique":function(){},"when":function(){},});var _1228819969=jQuery.Callbacks;jQuery.Callbacks=function(A){var B=_1228819969(A);intellisense.annotate(B,{"add":function(){},"disable":function(){},"empty":function(){},"fire":function(){},"fired":function(){},"fireWith":function(){},"has":function(){},"lock":function(){},"locked":function(){},"remove":function(){},});return B};var _731531622=jQuery.Deferred;jQuery.Deferred=function(A){var B=_731531622(A);intellisense.annotate(B,{"always":function(){},"done":function(){},"fail":function(){},"isRejected":function(){},"isResolved":function(){},"notify":function(){},"notifyWith":function(){},"pipe":function(){},"progress":function(){},"promise":function(){},"reject":function(){},"rejectWith":function(){},"resolve":function(){},"resolveWith":function(){},"state":function(){},"then":function(){},});return B};intellisense.annotate(jQuery.Event.prototype,{"currentTarget":function(){},"data":function(){},"delegateTarget":function(){},"isDefaultPrevented":function(){},"isImmediatePropagationStopped":function(){},"isPropagationStopped":function(){},"namespace":function(){},"pageX":function(){},"pageY":function(){},"preventDefault":function(){},"relatedTarget":function(){},"result":function(){},"stopImmediatePropagation":function(){},"stopPropagation":function(){},"target":function(){},"timeStamp":function(){},"type":function(){},"which":function(){},});intellisense.annotate(jQuery.fn,{"add":function(){},"addClass":function(){},"after":function(){},"ajaxComplete":function(){},"ajaxError":function(){},"ajaxSend":function(){},"ajaxStart":function(){},"ajaxStop":function(){},"ajaxSuccess":function(){},"all":function(){},"andSelf":function(){},"animate":function(){},"animated":function(){},"append":function(){},"appendTo":function(){},"attr":function(){},"attributeContains":function(){},"attributeContainsPrefix":function(){},"attributeContainsWord":function(){},"attributeEndsWith":function(){},"attributeEquals":function(){},"attributeHas":function(){},"attributeMultiple":function(){},"attributeNotEqual":function(){},"attributeStartsWith":function(){},"before":function(){},"bind":function(){},"blur":function(){},"button":function(){},"change":function(){},"checkbox":function(){},"checked":function(){},"child":function(){},"children":function(){},"class":function(){},"clearQueue":function(){},"click":function(){},"clone":function(){},"closest":function(){},"contains":function(){},"contents":function(){},"context":function(){},"css":function(){},"data":function(){},"dblclick":function(){},"delay":function(){},"delegate":function(){},"dequeue":function(){},"descendant":function(){},"detach":function(){},"die":function(){},"disabled":function(){},"each":function(){},"element":function(){},"empty":function(){},"enabled":function(){},"end":function(){},"eq":function(){},"error":function(){},"even":function(){},"fadeIn":function(){},"fadeOut":function(){},"fadeTo":function(){},"fadeToggle":function(){},"file":function(){},"filter":function(){},"find":function(){},"first":function(){},"first-child":function(){},"focus":function(){},"focusin":function(){},"focusout":function(){},"get":function(){},"gt":function(){},"has":function(){},"hasClass":function(){},"header":function(){},"height":function(){},"hidden":function(){},"hide":function(){},"hover":function(){},"html":function(){},"id":function(){},"image":function(){},"index":function(){},"init":function(){},"innerHeight":function(){},"innerWidth":function(){},"input":function(){},"insertAfter":function(){},"insertBefore":function(){},"is":function(){},"jquery":function(){},"keydown":function(){},"keypress":function(){},"keyup":function(){},"last":function(){},"last-child":function(){},"length":function(){},"live":function(){},"load":function(){},"lt":function(){},"map":function(){},"mousedown":function(){},"mouseenter":function(){},"mouseleave":function(){},"mousemove":function(){},"mouseout":function(){},"mouseover":function(){},"mouseup":function(){},"multiple":function(){},"next":function(){},"next adjacent":function(){},"next siblings":function(){},"nextAll":function(){},"nextUntil":function(){},"not":function(){},"nth-child":function(){},"odd":function(){},"off":function(){},"offset":function(){},"offsetParent":function(){},"on":function(){},"one":function(){},"only-child":function(){},"outerHeight":function(){},"outerWidth":function(){},"parent":function(){},"parents":function(){},"parentsUntil":function(){},"password":function(){},"position":function(){},"prepend":function(){},"prependTo":function(){},"prev":function(){},"prevAll":function(){},"prevUntil":function(){},"promise":function(){},"prop":function(){},"pushStack":function(){},"queue":function(){},"radio":function(){},"ready":function(){},"remove":function(){},"removeAttr":function(){},"removeClass":function(){},"removeData":function(){},"removeProp":function(){},"replaceAll":function(){},"replaceWith":function(){},"reset":function(){},"resize":function(){},"scroll":function(){},"scrollLeft":function(){},"scrollTop":function(){},"select":function(){},"selected":function(){},"serialize":function(){},"serializeArray":function(){},"show":function(){},"siblings":function(){},"size":function(){},"slice":function(){},"slideDown":function(){},"slideToggle":function(){},"slideUp":function(){},"stop":function(){},"submit":function(){},"text":function(){},"toArray":function(){},"toggle":function(){},"toggleClass":function(){},"trigger":function(){},"triggerHandler":function(){},"unbind":function(){},"undelegate":function(){},"unload":function(){},"unwrap":function(){},"val":function(){},"visible":function(){},"width":function(){},"wrap":function(){},"wrapAll":function(){},"wrapInner":function(){},});intellisense.annotate(window,{"$":function(){},});